@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*{
    margin: 0px;
    padding: 0px;
    text-decoration: none;
    font-family: "Poppins", sans-serif;
}

/* Style for Menu */

header{
    position: fixed;
    height: 80px;
    top: 0;
    display: flex;
    align-items: center;
    background-color: #ffffff;
    width: 100%;
    z-index: 1000;
    box-shadow: 0px 16px 18px -17px rgba(0,0,0,0.45);
}
header .logo img{
    width: 110px;
    float: left;
    margin-left: 100px;
    margin-top: 60px;
    z-index: 100;
}
nav{
    position: absolute;
    right: 50px;
}
nav a{
    font-size: 18px;
    color: #000000;
    padding: 20px;
    transition: 0.6s;
    line-height: 80px;
    font-family: "Poppins", sans-serif;
    text-decoration: none;
}
nav a:hover{
    color: #4aab3d;
}
.btn{
    display: none;
    position: absolute;
    right: 30px;
    background-color: #000000;
}
.btn:hover > span{
    background: #000000;
}
.btn span{
    display: none;
    margin: 6px;
    width: 30px;
    height: 4px;
}


@media only screen and (max-width : 1020px) {
    header{
      overflow: visible;
      box-shadow: 0px 25px 20px -20px rgba(0,0,0,0.45);  
    }
    nav{
      width: 100%;
      right: 0;
      top: 80px;
      background: #ffffff;
      overflow: hidden;
      max-height: 0;
      transition: 0.6s;
      color: #000000;
    }
    nav a{
      display: block;
      text-align: center;
      margin: 0;
      padding: 0px;
      background-color: #ffffff;
      font-size: 18px;
        color: #000000;
        padding: 20px;
        transition: 0.6s;
        line-height: 25px;
        font-family: "Poppins", sans-serif;
        text-decoration: none;

    }
    nav a:hover{
        color: #ffffff;
        font-weight: 500;
        text-decoration: none;
        background-color: #4aab3d;
    }
    header .logo img{
        width: 100px;
        margin-top: 40px;
        float: left;
        margin-left: 50px;
        z-index: 1000;
    }
    .btn{
        display: block;
        cursor: pointer;
        line-height: 80px;
        margin-top: 15px;
        background-color: #000000;
      }
      .btn span{
        display: block;
        cursor: pointer;
        background-color: #000000;
      }
    .show{
      max-height: 500px;
      z-index: 999;
    }
  }


    /* Style for Social Buttons Chat */

.chatbutton{
    position: fixed;
    bottom: 100px;
    right: 0px;
    cursor: pointer;
    z-index: 10;
    border-radius: 5px;
    box-shadow: 0px 2px 16px -3px rgba(0,0,0,0.75);
}
.chatbutton img{
    width: 40px;
    margin: 5px;
}


.testimonial-card {
    min-height: 200px;
  }

.csplreviews{
    width: 100%;
    padding: 10px;
    background-color: #ecf8f6;
    
}
.card{
    background: rgb(55,145,44);
    background: linear-gradient(90deg, rgba(55,145,44,1) 0%, rgba(95,210,79,1) 100%, rgba(58,142,46,1) 100%);
    color: #ffffff;
    border-radius: 50px;
}

main{
    margin: 20px;
}

/* Style for Scroll Bar */

::-webkit-scrollbar{
    width: 8px;
}
::-webkit-scrollbar-track{
    background: #42340f;
}
::-webkit-scrollbar-thumb{
    background: #5ad849;
    border-radius: 5px;
}


/* Style for Landing Page */

section{
    margin-top: 80px;
    width: 100%;
    background: #000000;
    color:#ffffff
}
#landing-section{
    margin-top: 50px;
    margin-bottom: 50px;
    padding: 50px;
    padding-bottom: 80px;
    background-color: #000000;
    background-image: url(images/cspl-landing-background.jpg);
}

#landing-section h1{
    font-size: 65px;
    font-weight: 600;
    padding-bottom: 20px;
    margin-top: 60px;
    text-align: center;
    font-family: "Poppins", sans-serif;
}
#landing-section h1 span{
    color: #5ad849;
}
#landing-section h2{
    font-size: 32px;
    padding-bottom: 20px;
    font-family: "Poppins", sans-serif;
    text-align: center;
}
#landing-section p{
    font-size: 20px;
}
#landing-section button{
    text-decoration: none;
    background: #5ad849;
    border-radius: 10px;
    color: #000000;
    padding: 12px 25px;
    border: none;
    font-family: "Poppins", sans-serif;
    font-size: 18px;
    cursor: pointer;
    margin-bottom: 20px;
    margin: 0px auto;
    text-align: center;
}
#landing-section button a{
    color: #000000;
    text-decoration: none;
    font-weight: bold;
}
#landing-section button:hover{
    color: #ffffff;
    background: #ffffff;
    cursor: pointer;
    transition: 0.8s;
}


@media (max-width:900px) {
    #landing-section h1{
        font-size: 45px;
      }
      #landing-section h1{
      font-size: 45px;
    }#landing-section h2{
        font-size: 24px;
      }
  }

  
/* Style for Landing About */

#landing-about h3{
    font-size: 36px;
    color: #4aab3d;
    padding-bottom: 20px;
    margin-top: 60px;
    font-weight: 600;
}
#landing-about p{
    font-size: 18px;
    color: #000000;
    text-align: justify;
}
#landing-about button{
    width: 150px;
    height: 45px;
    background-color: #4aab3d;
    border: none;
    border-radius: 10px;
    box-shadow: 0px 19px 18px -16px rgba(0,0,0,0.45);
}
#landing-about button a{
    color: #ffffff;
    text-decoration: none;
}
#landing-about button:hover{
    background-color: #42340f;
    transition: 0.6s;
}






/* Style for Contact Info */

.tribox-container{
    width: 100%;
    align-items: center;
    margin-top: 80px;
}
.tribox-info{
    width: 100%;
    text-align: center;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}
.tribox-text{
    padding: 50px;
}
.tribox-text h3{
    font-size: 24px;
    padding-bottom: 10px;
    font-weight: 500;
    text-align: center;
    color: #4aab3d;
}
.tribox-text h2{
    font-size: 42px;
    font-weight: 600;
    text-align: center;
}
.tribox-infobox{
    background: #ffffff;
    width: 320px;
    padding: 20px;
    border-radius: 10px;
    margin-bottom: 40px;
    border: 1px solid #4aab3d;
    box-shadow: 0px 4px 10px -4px rgba(0,0,0,0.75);
}
.tribox-infobox:hover{
    background: rgb(55,145,44);
background: linear-gradient(90deg, rgba(55,145,44,1) 0%, rgba(95,210,79,1) 100%, rgba(58,142,46,1) 100%);
    color: #ffffff;
    cursor: pointer;
}
.tribox-infobox:hover h4{
    color: #ffffff;
}
.tribox-infobox:hover p{
    color: #ffffff;
}
.tribox-infobox img{
    width: 60px;
}
.tribox-infobox h4{
    font-size: 24px;
    padding-top: 20px;
    font-weight: bold;
    color: #000000;
}
.tribox-infobox p{
    font-size: 18px;
    font-family: "Poppins", sans-serif;
    padding: 5px;
    color: #000000;
    text-align: justify;
}
.tribox-infobox a{
    color: #000000;
    text-decoration: none;
}
.tribox-infobox a:hover{
    color: #000000;
}
.tribox-infobox button {
    width: 120px;
    height: 45px;
    border: none;
    background-color: #e4e4e4;
    border-radius: 10px;
    color: #000000;
}
.tribox-infobox button:hover {
    background-color: #4aab3d;
    color: #ffffff;
    transition: 0.3s;
}
.tribox-infobox button a:hover {
    color: #ffffff;
}

/* Style for Contact Info */

.servicebox{
    width: 100%;
    background-color: #ecf8f6;
}
.servicebox-container{
    width: 100%;
    align-items: center;
    margin-top: 80px;
}
.servicebox-info{
    width: 100%;
    text-align: center;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}
.servicebox-text{
    padding: 50px;
}
.servicebox-text h3{
    font-size: 24px;
    padding-bottom: 10px;
    font-weight: 600;
    color: #4aab3d;
}
.servicebox-text h2{
    font-size: 42px;
    font-weight: 600;
    text-align: center;
}
.servicebox-text h2 span{
    color: #4aab3d;
}
.servicebox-infobox{
    background: #ffffff;
    width: 260px;
    padding: 20px;
    border-radius: 10px;
    margin-bottom: 50px;
    box-shadow: 0px 4px 10px -4px rgba(0,0,0,0.75);
}
#servicebox-infobox-span{
    background: #4aab3d;
    color: #ffffff;
    box-shadow: 0px 4px 10px -4px rgba(0,0,0,0.75);
}
#servicebox-infobox-span button{
    background: #fbff00;
    color: #ffffff;
}

.servicebox-infobox img{
    width: 80px;
    margin: 10px;
}
.servicebox-infobox h4{
    font-size: 24px;
    padding-top: 20px;
    font-weight: 500;
    color: #000000;
}
.servicebox-infobox p{
    font-size: 18px;
    font-family: "Poppins", sans-serif;
    padding: 5px;
    color: #000000;
    text-align: justify;
}
.servicebox-infobox a{
    color: #000000;
    text-decoration: none;
}
.servicebox-infobox a:hover{
    color: #000000;
}
.servicebox-infobox button {
    width: 50px;
    height: 50px;
    border: none;
    background-color: #4aab3d;
    border-radius: 50%;
    color: #ffffff;
}
.servicebox-infobox button:hover {
    background-color: #4aab3d;
    color: #ffffff;
    transition: 0.3s;
}
.servicebox-infobox button a:hover {
    color: #ffffff;
}

.serviceboxbtn{
    align-items: center;
    margin: 0px;
}
.serviceboxbtn button{
    text-decoration: none;
    background: #4aab3d;
    border-radius: 10px;
    color: #000000;
    padding: 12px 25px;
    border: none;
    font-family: "Poppins", sans-serif;
    font-size: 18px;
    cursor: pointer;
    margin-bottom: 60px;
    box-shadow: 0px 19px 18px -16px rgba(0,0,0,0.45);
}
.serviceboxbtn button a{
    color: #ffffff;
    text-decoration: none;
    font-weight: 500;
}
.serviceboxbtn button:hover{
    background: #42340f;
    cursor: pointer;
    transition: 0.8s;
}




/* Style for CSPL Stations */
.csplstations img{
    width: 100%;
}



/* Style for Footer */
footer{
    width: 100%;
    height: auto;
    background: rgb(92,73,22);
background: radial-gradient(circle, rgba(92,73,22,1) 0%, rgba(65,51,15,1) 100%);
    color: #ffffff;
    font-family: "Poppins", sans-serif;
}
.footer-section{
    display: flex;
    flex-wrap: wrap;
    text-align: left;
    justify-content: space-around;
    padding: 40px;
    text-decoration: none;
}
/*.footer-section .col-sm-4 p:hover{
    color: #ff914d;
}
.footer-section .col-sm-4 i:hover{
    color: #ff914d;
}
.footer-section .col-sm-4 p a:hover{
    color: #ff914d;
}*/
.footer-column{
    grid: column;
}
.footer-column h3{
    font-size: 24px;
    padding: 20px;
    color: #ffffff;
    text-align: left;
    text-decoration: underline;
}
.footer-column p a{
    text-align: left;
    font-family: 'Poppins', sans-serif;
}
.copyright{
    font-size: 16px;
    color:#ffffff;
    text-align: center;
    padding: 20px;
    font-family: 'Poppins', sans-serif;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
}
.copyright a{
    color: #ffffff;
    text-decoration: none;
}
.copyright a:hover{
    color: #ffffff;
}



/* Style for About Us */

.page-heading{
    width: 100%;
    height: auto;
    padding: 60px;
    text-align: center;
}
.page-heading h1{
    font-size: 60px;
}
.page-section h3{
    font-size: 24px;
    padding-bottom: 10px;
    font-weight: 500;
    text-align: center;
    color: #4aab3d;
}
.page-section{
    margin: 20px;
}
.page-section h2{
    font-size: 42px;
    font-weight: 600;
    text-align: center;
}
.page-section p{
    font-size: 18px;
    text-align: center;
    padding: 20px;
    text-align: justify;
}
.value-section p{
    font-size: 18px;
    font-family: "Poppins", sans-serif;
    text-align: center;
    padding: 10px;
    text-align: justify;
}



/* Style for Contact Us */

.contact-container{
    z-index: 12;
    max-width: 800px;
    width: 100%;
    background: #fff;
    border-radius: 12px;
    margin: 0 auto;
    margin-top: 50px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
  }
  .contact-container .contact-content{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 25px 20px;
  }
  
  .contact-content .topic{
    font-size: 28px;
    font-weight: 500;
    color: #42340f;
    font-weight: bold;
  }
  .contact-content form{
    width: 60%;
    margin: auto;
    padding: 20px;
  }
  .contact-content .input-box{
    height: 50px;
    width: 100%;
    margin: 16px 0;
    position: relative;
  }
  .contact-content .input-box input{
    position: absolute;
    height: 100%;
    width: 100%;
    border-radius: 6px;
    font-size: 16px;
    outline: none;
    padding-left: 16px;
    background: #b4ffaa;
    border: 2px solid transparent;
    transition: all 0.3s ease;
  }
  .contact-content .input-box input:focus,
  .contact-content .input-box input:valid{
    border-color: #b4ffaa;
    background-color: #fff;
  }
  .contact-content .input-box label{
    position: absolute;
    left: 18px;
    top: 50%;
    color: #636c72;
    font-size: 15px;
    pointer-events: none;
    transform: translateY(-50%);
    transition: all 0.3s ease;
  }
  .contact-content .input-box input:focus ~ label,
  .contact-content .input-box input:valid ~ label{
    top: 0;
    left: 12px;
    display: 14px;
    color: #636c72;
    background: #fff;
  }
  .contact-content .message-box{
    min-height: 100px;
    position: relative;
  }
  .contact-content .message-box textarea{
    position: absolute;
    height: 100%;
    width: 100%;
    resize: none;
    background: #b4ffaa;
    border: 2px solid transparent;
    border-radius: 6px;
    outline: none;
    transition: all 0.3s ease;
  }
  .contact-content .message-box textarea:focus{
    border-color: #b4ffaa;
    background-color: #fff;
  }
  .contact-content .message-box label{
    position: absolute;
    font-size: 16px;
    color: #636c72;
    left: 18px;
    top: 6px;
    pointer-events: none;
    transition: all 0.3s ease;
  }
  .contact-content .message-box textarea:focus ~ label{
    left: 12px;
    top: -10px;
    color: #636c72;
    font-size: 14px;
    background: #fff;
  }
  .contact-content .input-box input[type="submit"]{
    color: #fff;
    background: #42340f;
    padding-left: 0;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    letter-spacing: 1px;
    border: navajowhite;
    transition: all 0.3s ease;
  }
  .contact-content .input-box input[type="submit"]:hover{
    background-color: #251d07;
  }
  @media (max-width:1000px) {
    .contact-content{
      padding: 10px 0;
    }
  }
  @media (max-width:900px) {
    .contact-content form{
      width: 100%;
      margin-left: 30px;
    }
  }



  /* Style for Testimonials */


  .testimonial-slider {
    position: relative;
    width: 100%;
    overflow: hidden;
    text-align: center;
    margin-bottom: 50px;
}

.testimonial-slider-wrapper {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.testimonial-card {
    min-width: 100%;
    box-sizing: border-box;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    background: rgb(55,145,44);
    background: linear-gradient(90deg, rgba(55,145,44,1) 0%, rgba(95,210,79,1) 100%, rgba(58,142,46,1) 100%);
    color: #ffffff;
    border-radius: 10px;
}

.testimonial-text {
    font-size: 20px;
    margin-top: 10px;
    padding: 20px;
}

.testimonial-author {
    font-size: 16px;
    font-weight: bold;
    color: #ffffff;
    padding: 20px;
}

.prev-btn, .next-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #000000;
    border: none;
    padding: 10px;
    cursor: pointer;
    border-radius: 10px;
}

.prev-btn {
    left: 10px;
}

.next-btn {
    right: 10px;
}

@media (max-width: 600px) {
    .testimonial-card {
        padding: 15px;
    }

    .prev-btn, .next-btn {
        padding: 8px;
    }
}


/* Style for CSPL Solar Background */
.cspl-solar-background img{
    width: 100%;
}



/* Style for Service Pay */

.service-pay{
    background-color: #42340f;
    color: #ffffff;
}
#service-pay-about h3{
    font-size: 36px;
    color: #ffffff;
    margin-top: 60px;
    font-weight: 600;
    padding: 0px 20px 20px 20px;
}
#service-pay-about h3 span{
    color: #5ad849;
}
#service-pay-about p{
    font-size: 20px;
    color: #ffffff;
    text-align: justify;
    padding: 0px 20px;
}
#service-pay-about button{
    width: 200px;
    height: 50px;
    background-color: #5ad849;
    border: none;
    border-radius: 10px;
    margin: 20px;
    box-shadow: 0px 19px 18px -16px rgba(0,0,0,0.45);
}
#service-pay-about button a{
    color: #000000;
    text-decoration: none;
}
#service-pay-about button:hover{
    background-color: #4aab3d;
    transition: 0.6s;
}


/* Style for Pages */

section{
    margin-top: 80px;
    width: 100%;
    background: #000000;
    color:#ffffff
}
.page-content{
    width: 100%;
    color: #ffffff;
    padding: 20px;
    text-align: justify;
}
.page-content h3{
    font-size: 24px;
    padding: 20px 0px;
    color: #000000;
    font-weight: bold;
}
.page-content p{
    font-size: 16px;
    line-height: 24px;
    color: #000000;
}

.page-heading h2{
    font-size: 46px;
    padding: 20px;
    color: #000000;
    text-align: center;
    font-weight: bold;
}
.page-heading h2 span{
    background: rgb(0, 0, 0);
    padding: 5px;
    padding-right: 30px;
    padding-left: 10px;
    color: #ffffff;
}

/* Style for Marquee */

.marquee {
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    box-sizing: border-box;
    background-color: #ffeb36;
    padding: 10px;
  }

  .marquee-text {
    display: inline-block;
    padding-left: 100%;
    animation: marquee 40s linear infinite;
    font-size: 1.5rem;
    font-weight: bold;
  }

  @keyframes marquee {
    0% {
      transform: translateX(100%);
    }
    100% {
      transform: translateX(-100%);
    }
  }

  @media (max-width: 600px) {
    .marquee-text {
      font-size: 1.2rem;
    }
  }

  /* Style for CSPL Saathi Banner */
.cspl-saathi{
    width: 100%;
    height: auto;
    margin: 0px auto;
    padding: 20px;
}
.cspl-saathi img{
    border-radius: 20px;
}

